# QFontMetrics Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QFontMetrics(QFont arg__1)
- void QFontMetrics(QFont arg__1, QPaintDevice pd)

### Constructor Properties

- prototype: The QFontMetrics prototype object

### Prototype Object Properties

- int ascent()
- int averageCharWidth()
- QRect boundingRect(char arg__1)
- int charWidth(String str, int pos)
- int descent()
- String elidedText(String text, TextElideMode mode, int width, int flags)
- int height()
- bool inFont(char arg__1)
- bool inFontUcs4(uint ucs4)
- int leading()
- int leftBearing(char arg__1)
- int lineSpacing()
- int lineWidth()
- int maxWidth()
- int minLeftBearing()
- int minRightBearing()
- int overlinePos()
- int rightBearing(char arg__1)
- QSize size(int flags, String str, int tabstops, int tabarray)
- int strikeOutPos()
- QRect tightBoundingRect(String text)
- int underlinePos()
- int width(char arg__1)
- int xHeight()

### Instance Properties

QFontMetrics objects have no special properties beyond those inherited from the QFontMetrics prototype object.